curl --request GET \
--url https://api.messaging.phonovation.com/ccaas/1/queues \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/ccaas/1/queues"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/ccaas/1/queues");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.messaging.phonovation.com/ccaas/1/queues")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/ccaas/1/queues",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/ccaas/1/queues', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"queues": [
{
"id": "a126beb1-f43b-422c-b298-295f65d31e82",
"name": "Queue 1",
"enabledAgentsCount": 3,
"enabledRoutesCount": 2,
"isAutoAssignmentEnabled": false,
"stickyAgentTimeoutDays": 10,
"isStickyAutoAssignmentEnabled": true,
"workingHoursId": null,
"isPrivate": false,
"createdAt": "2024-01-01T00:00:00.000+00:00",
"updatedAt": "2024-01-01T00:00:00.000+00:00",
"deletedAt": null
},
{
"id": "75af6f92-75a6-4364-b293-450281bd21be",
"name": "Queue 2",
"enabledAgentsCount": 1,
"enabledRoutesCount": 4,
"isAutoAssignmentEnabled": false,
"stickyAgentTimeoutDays": null,
"isStickyAutoAssignmentEnabled": false,
"workingHoursId": null,
"isPrivate": false,
"createdAt": "2024-01-01T00:00:00.000+00:00",
"updatedAt": "2024-01-01T00:00:00.000+00:00",
"deletedAt": null
}
],
"pagination": {
"totalItems": 2,
"page": 0,
"limit": 10,
"orderBy": "id:ASC"
}
}{
"requestError": {
"serviceException": {
"messageId": "BAD_REQUEST",
"text": "Page size has to be bigger or equal to zero!"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "UNAUTHORIZED",
"text": "Unauthorized"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "FORBIDDEN",
"text": "Forbidden"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "GENERAL_ERROR",
"text": "Something went wrong. Please contact support."
}
}
}Get queues
Use this method to get a list of queues with pagination and filtering options. Using a filter is optional. The result can be filtered by one or many optional filters described in the parameters. More info
Required scope: Enable one of: conversations:manage, conversations:read.
curl --request GET \
--url https://api.messaging.phonovation.com/ccaas/1/queues \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/ccaas/1/queues"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/ccaas/1/queues");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.messaging.phonovation.com/ccaas/1/queues")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/ccaas/1/queues",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/ccaas/1/queues', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"queues": [
{
"id": "a126beb1-f43b-422c-b298-295f65d31e82",
"name": "Queue 1",
"enabledAgentsCount": 3,
"enabledRoutesCount": 2,
"isAutoAssignmentEnabled": false,
"stickyAgentTimeoutDays": 10,
"isStickyAutoAssignmentEnabled": true,
"workingHoursId": null,
"isPrivate": false,
"createdAt": "2024-01-01T00:00:00.000+00:00",
"updatedAt": "2024-01-01T00:00:00.000+00:00",
"deletedAt": null
},
{
"id": "75af6f92-75a6-4364-b293-450281bd21be",
"name": "Queue 2",
"enabledAgentsCount": 1,
"enabledRoutesCount": 4,
"isAutoAssignmentEnabled": false,
"stickyAgentTimeoutDays": null,
"isStickyAutoAssignmentEnabled": false,
"workingHoursId": null,
"isPrivate": false,
"createdAt": "2024-01-01T00:00:00.000+00:00",
"updatedAt": "2024-01-01T00:00:00.000+00:00",
"deletedAt": null
}
],
"pagination": {
"totalItems": 2,
"page": 0,
"limit": 10,
"orderBy": "id:ASC"
}
}{
"requestError": {
"serviceException": {
"messageId": "BAD_REQUEST",
"text": "Page size has to be bigger or equal to zero!"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "UNAUTHORIZED",
"text": "Unauthorized"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "FORBIDDEN",
"text": "Forbidden"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "GENERAL_ERROR",
"text": "Something went wrong. Please contact support."
}
}
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Query Parameters
Optional filter. List of queue Ids.
Optional filter. Agent Id.
Optional filter. Working Hours Id.
Size of the result page.
x <= 999Number of the current page.
This parameter is used to order your results. If an order is not given, the default order id:asc will be applied. Possible ordering fields are properties. Ordering direction can be specified with modifiers asc for the ascending ordering or desc for the descending one.
Optional. Queue name.